Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class Option

    java.lang.Object
      jason.asSemantics.Option

All Implemented Interfaces:
  java.io.Serializable

    public class Option

extends java.lang.Object
implements java.io.Serializable

An Option is a Plan and the Unifier that has made it relevant and applicable

See Also:
  Serialized Form

Constructor Summary
`Option(Plan p, Unifier u)`

Method Summary
`java.lang.Object` | `clone()`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`Plan` | `getPlan()`
`Unifier` | `getUnifier()`
`void` | `setPlan(Plan p)`
`void` | `setUnifier(Unifier u)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Option

    public Option(Plan p,
                  Unifier u)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setPlan

    public void setPlan(Plan p)

### getPlan

    public Plan getPlan()

### setUnifier

    public void setUnifier(Unifier u)

### getUnifier

    public Unifier getUnifier()

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD